# ostream File Reference

## Detailed Description

This is a Standard C++ Library header.

Definition in file ostream.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _GLIBCXX_OSTREAM

## Functions

- template<typename _CharT, typename _Traits> basic_ostream< _CharT, _Traits > & endl (basic_ostream< _CharT, _Traits > &__os)
- template<typename _CharT, typename _Traits> basic_ostream< _CharT, _Traits > & ends (basic_ostream< _CharT, _Traits > &__os)
- template<typename _CharT, typename _Traits> basic_ostream< _CharT, _Traits > & flush (basic_ostream< _CharT, _Traits > &__os)
- template<class _Traits> basic_ostream< char, _Traits > & operator<< (basic_ostream< char, _Traits > &__out, const unsigned char *__s)
- template<class _Traits> basic_ostream< char, _Traits > & operator<< (basic_ostream< char, _Traits > &__out, const signed char *__s)
- template<class _Traits> basic_ostream< char, _Traits > & operator<< (basic_ostream< char, _Traits > &__out, unsigned char __c)
- template<class _Traits> basic_ostream< char, _Traits > & operator<< (basic_ostream< char, _Traits > &__out, signed char __c)
- template<typename _CharT, typename _Traits> basic_ostream< _CharT, _Traits > & operator<< (basic_ostream< _CharT, _Traits > &__out, char __c)

## Function Documentation

basic_ostream<_CharT, _Traits>& std::endl | ( | basic_ostream< _CharT, _Traits > & | __os | ) |

| Write a newline and flush the stream. This manipulator is often mistakenly used when a simple newline is desired, leading to poor buffering performance. See http://gcc.gnu.org/onlinedocs/libstdc++/27_io/howto.html#2 for more on this subject. Definition at line 517 of file ostream. References std::flush().

basic_ostream<_CharT, _Traits>& std::ends | ( | basic_ostream< _CharT, _Traits > & | __os | ) |

| Write a null character into the output sequence. "Null character" is `CharT()` by definition. For CharT of `char`, this correctly writes the ASCII `NUL` character string terminator. Definition at line 528 of file ostream. References basic_ostream::put().

basic_ostream<_CharT, _Traits>& std::flush | ( | basic_ostream< _CharT, _Traits > & | __os | ) |

| Flushes the output stream. This manipulator simply calls the stream's `flush()` member function. Definition at line 538 of file ostream. References basic_ostream::flush(). Referenced by std::endl().